Summary:       Virtual Keyboard for X Window System
Name:          xvkbd
Version:       3.2
Release:       3%{?dist}
License:       GPLv2+
Group:         User Interface/X
Source0:       http://homepage3.nifty.com/tsato/xvkbd/%{name}-%{version}.tar.gz
URL:           http://homepage3.nifty.com/tsato/xvkbd/index.html
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils
BuildRequires: libX11-devel
BuildRequires: Xaw3d-devel >= 1.5E-1
BuildRequires: libXaw-devel
BuildRequires: libXtst-devel
BuildRequires: imake
Source1:       %{name}.desktop
# The following icon is licensed under CC BY-SA 3.0.
Source2:       http://jaist.dl.sourceforge.jp/xvkbd-fedora/45742/%{name}.png
Patch0:        %{name}-3.2-fix-warn.patch
Patch1:        %{name}-3.2-fix-warn-64bit.patch

%description
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(software) by clicking on a keyboard displayed on the screen. This
may be used for systems without a hardware keyboard such as kiosk
terminals or hand-held devices. This program also has facility to send
characters specified as the command line option to another client.

%prep
%setup -q
%patch0 -p1 -b .3.2-fix-warn
%patch1 -p1 -b .3.2-fix-warn-64bit

%build
xmkmf -a
# Installed "normal" files should have 0644 permission, not 0444 permission.
# So I modify Makefile directly.
%{__sed} -i.mode -e 's|-m 0444|-m 0644|' Makefile
%{__make} CCOPTIONS="%{optflags}" %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
# By default this installs some file under /usr/lib/X11/app-defaults,
# even on 64 bit architecture. So I had to add "LIBDIR=%{_libdir}/X11".
%{__make} LIBDIR=%{_libdir}/X11 DESTDIR=%{buildroot} INSTALLFLAGS="-c -p" \
          install install.man
%{__rm} -rf %{buildroot}%{_libdir}/X11/app-defaults
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
%{__install} -d -m 755 %{buildroot}%{_datadir}/pixmaps
%{__install} -D -m 644 -p %{SOURCE2} %{buildroot}%{_datadir}/pixmaps

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/X11/app-defaults/XVkbd*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 28 2010 Akio Idehara <zbe64533 at gmail.com> 3.2-2
- Rebuild for F14

* Thu May 18 2010 Akio Idehara <zbe64533 at gmail.com> 3.2-1
- Update to 3.2

* Sun Feb 28 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-5
- Rebuild for F13

* Sat Feb 6 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-4
- Fix build without optflags (#562381)

* Sat Feb 6 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-3
- Separate patch related to 64-bit arch which depends on C99

* Fri Feb 5 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-2
- Fix default define
- Fix warning on 64-bit arch

* Wed Feb 3 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-1
- Update to 3.1

* Sun Feb 1 2010 Akio Idehara <zbe64533 at gmail.com> 3.0-6
- Change Icon size

* Sun Jan 24 2010 Akio Idehara <zbe64533 at gmail.com> 3.0-5
- Fix Icon permission

* Sun Jan 10 2010 Akio Idehara <zbe64533 at gmail.com> 3.0-4
- Clarify Source2 license (CC BY-SA 3.0) and URL

* Fri Jan 8 2010 Akio Idehara <zbe64533 at gmail.com> 3.0-3
- Add the lack of BuildRequires statements
- Fix build failure on x86_64
- Fix some trivial mistake

* Sat Dec 5 2009 Akio Idehara <zbe64533 at gmail.com> 3.0-2
- Add Desktop files

* Sat Dec 5 2009 Akio Idehara <zbe64533 at gmail.com> 3.0-1
- Initial RPM release
